Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.consultrn.ssinhistory.protocol.v1
Class ConsultCurrentSsinResponseType

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v2.ResponseType
          be.fgov.ehealth.commons.protocol.v2.StatusResponseType
              be.fgov.ehealth.consultrn.ssinhistory.protocol.v1.ConsultCurrentSsinResponseType

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ConsultCurrentSsinResponse, ConsultRelatedSsinsResponse

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2021-04-20T04:30:44+02:00",
               comments="JAXB RI v2.2.11")
    public class ConsultCurrentSsinResponseType

extends StatusResponseType
implements Serializable

Response type for full ssin history for a single ssin

Java class for ConsultCurrentSsinResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultCurrentSsinResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}StatusResponseType">
           <sequence>
             <element name="Ssin" type="{urn:be:fgov:ehealth:consultrn:ssinhistory:core:v1}SsinStatusType" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ConsultCurrentSsinResponseType()`

Method Summary
`SsinStatusType` | `getSsin()` Gets the value of the ssin property.
`void` | `setSsin(SsinStatusType value)` Sets the value of the ssin property.

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.StatusResponseType
`getStatus, setStatus`

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType
`getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsultCurrentSsinResponseType

    public ConsultCurrentSsinResponseType()

Method Detail

### getSsin

    public SsinStatusType getSsin()

  Gets the value of the ssin property.

  Returns:
    possible object is `SsinStatusType`

### setSsin

    public void setSsin(SsinStatusType value)

  Sets the value of the ssin property.

  Parameters:
    `value` - allowed object is `SsinStatusType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSAUDIOLOGIST 3.21.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.